== slim :chart_template
  .row
    .chart-menu
      ul.section.table-of-contents
        li
          a href="#top"  Top
        li
          a href="#path"  Path
        li
          a href="#time"  Time

    h3.white-text.center API
    
    h4.col.s12.white-text.center id="top" Top
    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('gitlab-rails/api_json.log', :project_stats),  xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by Project')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls


    .col.s12.card.padding.z-depth-4
      == bubble_chart(faststats_top('gitlab-rails/api_json.log', :user_stats),  xtitle:'Duration', ytitle:'% Count', label: "Total", title: 'by User')
      .col.s12.padding
        .legend X: Duration
        .legend.red Y: % of total calls
        .legend.blue Size: Total Calls

    .col.s12.card.padding.z-depth-4
      == pie_chart(api_duration_pie, title: 'Duration Total')

    h4.col.s12.white-text.center id="path" Path
    .col.s12.card.padding.z-depth-4
      == pie_chart(faststats_field('gitlab-rails/api_json.log', :count), title: 'Total by Path')

    .col.s12.card.padding.z-depth-4
      == column_chart(faststats_field('gitlab-rails/api_json.log',:p95), title: 'p95', ytitle: 'ms')

    .col.s12.card.padding.z-depth-4
      == column_chart(faststats_field('gitlab-rails/api_json.log',:median), title: 'Median', ytitle: 'ms')

    h4.col.s12.white-text.center id="time" Over Time
    
    .col.s12.card.padding.z-depth-4
      == area_chart(api_avg_path_duration_series, title: 'Path Duration', ytitle: 'seconds')

    .col.s12.card.padding.z-depth-4
      == area_chart(api_avg_duration_series, title: 'Avg Duration', ytitle: 'ms')

    .col.s12.card.padding.z-depth-4
      == column_chart(api_duration_series_stacked, stacked: true, title: 'Duration Breakdown', ytitle: 'seconds')

    .col.s12.card.padding.z-depth-4
      == area_chart(api_duration_series_stacked, stacked: true, title: 'Duration Breakdown', ytitle: 'seconds')